$primaryColor: #bae0f5;
$secondaryColor: #E81C4F;
$backgroundColor: #b1b1b1;

body {
  background-color: #ffffff;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100%25'%3E%3Cdefs%3E%3ClinearGradient id='a' gradientUnits='userSpaceOnUse' x1='0' x2='0' y1='0' y2='100%25' gradientTransform='rotate(0,539,528)'%3E%3Cstop offset='0' stop-color='%23ffffff'/%3E%3Cstop offset='1' stop-color='%23c5baf5'/%3E%3C/linearGradient%3E%3Cpattern patternUnits='userSpaceOnUse' id='b' width='540' height='450' x='0' y='0' viewBox='0 0 1080 900'%3E%3Cg fill-opacity='0.1'%3E%3Cpolygon fill='%23444' points='90 150 0 300 180 300'/%3E%3Cpolygon points='90 150 180 0 0 0'/%3E%3Cpolygon fill='%23AAA' points='270 150 360 0 180 0'/%3E%3Cpolygon fill='%23DDD' points='450 150 360 300 540 300'/%3E%3Cpolygon fill='%23999' points='450 150 540 0 360 0'/%3E%3Cpolygon points='630 150 540 300 720 300'/%3E%3Cpolygon fill='%23DDD' points='630 150 720 0 540 0'/%3E%3Cpolygon fill='%23444' points='810 150 720 300 900 300'/%3E%3Cpolygon fill='%23FFF' points='810 150 900 0 720 0'/%3E%3Cpolygon fill='%23DDD' points='990 150 900 300 1080 300'/%3E%3Cpolygon fill='%23444' points='990 150 1080 0 900 0'/%3E%3Cpolygon fill='%23DDD' points='90 450 0 600 180 600'/%3E%3Cpolygon points='90 450 180 300 0 300'/%3E%3Cpolygon fill='%23666' points='270 450 180 600 360 600'/%3E%3Cpolygon fill='%23AAA' points='270 450 360 300 180 300'/%3E%3Cpolygon fill='%23DDD' points='450 450 360 600 540 600'/%3E%3Cpolygon fill='%23999' points='450 450 540 300 360 300'/%3E%3Cpolygon fill='%23999' points='630 450 540 600 720 600'/%3E%3Cpolygon fill='%23FFF' points='630 450 720 300 540 300'/%3E%3Cpolygon points='810 450 720 600 900 600'/%3E%3Cpolygon fill='%23DDD' points='810 450 900 300 720 300'/%3E%3Cpolygon fill='%23AAA' points='990 450 900 600 1080 600'/%3E%3Cpolygon fill='%23444' points='990 450 1080 300 900 300'/%3E%3Cpolygon fill='%23222' points='90 750 0 900 180 900'/%3E%3Cpolygon points='270 750 180 900 360 900'/%3E%3Cpolygon fill='%23DDD' points='270 750 360 600 180 600'/%3E%3Cpolygon points='450 750 540 600 360 600'/%3E%3Cpolygon points='630 750 540 900 720 900'/%3E%3Cpolygon fill='%23444' points='630 750 720 600 540 600'/%3E%3Cpolygon fill='%23AAA' points='810 750 720 900 900 900'/%3E%3Cpolygon fill='%23666' points='810 750 900 600 720 600'/%3E%3Cpolygon fill='%23999' points='990 750 900 900 1080 900'/%3E%3Cpolygon fill='%23999' points='180 0 90 150 270 150'/%3E%3Cpolygon fill='%23444' points='360 0 270 150 450 150'/%3E%3Cpolygon fill='%23FFF' points='540 0 450 150 630 150'/%3E%3Cpolygon points='900 0 810 150 990 150'/%3E%3Cpolygon fill='%23222' points='0 300 -90 450 90 450'/%3E%3Cpolygon fill='%23FFF' points='0 300 90 150 -90 150'/%3E%3Cpolygon fill='%23FFF' points='180 300 90 450 270 450'/%3E%3Cpolygon fill='%23666' points='180 300 270 150 90 150'/%3E%3Cpolygon fill='%23222' points='360 300 270 450 450 450'/%3E%3Cpolygon fill='%23FFF' points='360 300 450 150 270 150'/%3E%3Cpolygon fill='%23444' points='540 300 450 450 630 450'/%3E%3Cpolygon fill='%23222' points='540 300 630 150 450 150'/%3E%3Cpolygon fill='%23AAA' points='720 300 630 450 810 450'/%3E%3Cpolygon fill='%23666' points='720 300 810 150 630 150'/%3E%3Cpolygon fill='%23FFF' points='900 300 810 450 990 450'/%3E%3Cpolygon fill='%23999' points='900 300 990 150 810 150'/%3E%3Cpolygon points='0 600 -90 750 90 750'/%3E%3Cpolygon fill='%23666' points='0 600 90 450 -90 450'/%3E%3Cpolygon fill='%23AAA' points='180 600 90 750 270 750'/%3E%3Cpolygon fill='%23444' points='180 600 270 450 90 450'/%3E%3Cpolygon fill='%23444' points='360 600 270 750 450 750'/%3E%3Cpolygon fill='%23999' points='360 600 450 450 270 450'/%3E%3Cpolygon fill='%23666' points='540 600 630 450 450 450'/%3E%3Cpolygon fill='%23222' points='720 600 630 750 810 750'/%3E%3Cpolygon fill='%23FFF' points='900 600 810 750 990 750'/%3E%3Cpolygon fill='%23222' points='900 600 990 450 810 450'/%3E%3Cpolygon fill='%23DDD' points='0 900 90 750 -90 750'/%3E%3Cpolygon fill='%23444' points='180 900 270 750 90 750'/%3E%3Cpolygon fill='%23FFF' points='360 900 450 750 270 750'/%3E%3Cpolygon fill='%23AAA' points='540 900 630 750 450 750'/%3E%3Cpolygon fill='%23FFF' points='720 900 810 750 630 750'/%3E%3Cpolygon fill='%23222' points='900 900 990 750 810 750'/%3E%3Cpolygon fill='%23222' points='1080 300 990 450 1170 450'/%3E%3Cpolygon fill='%23FFF' points='1080 300 1170 150 990 150'/%3E%3Cpolygon points='1080 600 990 750 1170 750'/%3E%3Cpolygon fill='%23666' points='1080 600 1170 450 990 450'/%3E%3Cpolygon fill='%23DDD' points='1080 900 1170 750 990 750'/%3E%3C/g%3E%3C/pattern%3E%3C/defs%3E%3Crect x='0' y='0' fill='url(%23a)' width='100%25' height='100%25'/%3E%3Crect x='0' y='0' fill='url(%23b)' width='100%25' height='100%25'/%3E%3C/svg%3E");
  background-attachment: fixed;
  background-size: cover;
}

header, main, footer {
  padding-left: 320px;
}

@media only screen and (max-width : 992px) {
  header, main, footer {
    padding-left: 0;
  }
}

nav.navbar {
  display: flex;
  height: 85px;
  background-color: #FFFFFF;
  margin-bottom: 20px;

  & a {
    color: black;
  }

  & #navbarNavAltMarkup {
    display: flex;
    justify-content: center;
    width: 100%;

    & .navbar-nav {
      width: 90%;
      display: flex;
      flex-direction: row;

      & #logoLink {
        display: flex;
        align-items: center;
        width: 20%;
        align-self: start;

        & img#logo {
          height: 50px;
        }

        & h1 {
          font-size: 25px;
          color: #433191;
          margin-bottom: 0px;
        }

      }

      & #otherLinks {
        width: 80%;
        display: flex;
        justify-content: space-evenly;

        & .nav-item {
          display: flex;
          align-items: center;
          //margin: 0 30px;
          padding: 13px 18px;
          font-size: 1.2em;

          &.active{
            box-shadow: 2px 2px 4px#C5BAF5;
            font-weight: bold;
            background-color: #C5BAF5;
          }
          &:hover:not(.logout){
            background-color: #C5BAF5;
            transition: background-color 0.2s ease-in-out;
          }

          &.logout {
            color: red;

            &:hover {
              color: white;
              background-color: red;
              transition: all 0.2s ease-in-out;
            }
          }

          & .badge{
            margin-left: 5px;
          }
        }

        & #notificationContainer{
          display: flex;
          align-items: center;
          & #notificationMenu{
            //display: flex;
            position: absolute;
            flex-direction: column;
            width: 250px;

            padding-left: 8px;
            padding-right: 8px;
            &.show{
              display: none;
            }
          }

          &.hasNotification{
            & #notificationMenu{
              right: -100%;
              left: unset;
              & .dropdown-item{
                white-space: pre-line;
                &:active{

                  background-color: $primaryColor;
                }
              }
              &.show{
                display: flex;
              }
            }
            & #notificationButton{
              color: red;
            }
          }
        }

      }
    }

    & .home {
      display: flex;
      justify-content: center;

      & #logoLink {
        display: flex;
        justify-content: center;
      }

      & #otherLinks {
        display: none;
      }
    }
  }
}

h2{
  text-align: center;
  margin-bottom: 20px;
}

h3{
  font-size: 1.5rem;
}

p{
  margin-bottom: 0;
}

.profile-pic {
  border-radius: 50%;
  border: gray solid 2px;
  padding: 4px;

  background-color: white;
}

.back-button {
  display: inline;
  position: fixed;
  top: 18px;
  left: 10px;
  padding-top: 5px;
  padding-right: 10px;
  padding-bottom: 10px;
  padding-left: 10px;
  color: black;
  
  border-style: solid;
  border-color: #C5BAF5;
  font-size: 30px;
  z-index: 1000;

  a {
    text-decoration: none;
    color: black;
  }

  &:hover {
    transform: translate(-3px);
    transition: all 0.2s ease-in-out;
  }
}

.searchBar {
  display: flex;
  margin-top: 10px;
  height: 40px;

  & .addButton {
    display: flex;
    align-items: center;

    //background-color: $primaryColor;
    //padding: 10px;
    //height: 100%;
    cursor: pointer;
  }

  .autocomplete {
    /*the container must be positioned relative:*/
    position: relative;
    display: inline-block;
  }

  input {
    border: 1px solid transparent;
    padding: 10px;
    font-size: 16px;
  }

  input[type=text] {
    width: 95%;
  }

  input[type=submit] {
    background-color: dodgerblue;
    color: #fff;
  }

  .autocomplete-items {
    position: absolute;
    border: 1px solid #d4d4d4;
    border-bottom: none;
    border-top: none;
    z-index: 99;
    /*position the autocomplete items to be the same width as the container:*/
    top: 100%;
    left: 0;
    right: 0;
  }

  .autocomplete-items div {
    padding: 10px;
    cursor: pointer;
    background-color: #fff;
    border-bottom: 1px solid #d4d4d4;
  }

  .autocomplete-items div:hover {
    /*when hovering an item:*/
    background-color: #e9e9e9;
  }

  .autocomplete-active {
    /*when navigating through the items using the arrow keys:*/
    background-color: dodgerblue !important;
    color: #ffffff;
  }
}

.defaultButton, .btn{

  display: flex;
  text-align: center;
  align-items: center;
  justify-content: center;

  background-color: #bae0f5;

  min-height: 40px;

  border: none;
  outline: none;
  border-radius: 0;

  padding: 10px;

  &:hover{
    text-decoration: none;
  }

  &.validateButton{
    background-color: $primaryColor;
    color: black;
  }

  &.secondaryButton{
    background-color: $secondaryColor;
    color: black;
  }
}

.textareaDefault{
  padding: 0.5em;
  width: 100%;

  box-shadow: 2px 2px 4px $backgroundColor;

  border: none;
  outline: none;

  resize: none;
  overflow: hidden;
}

.inputDefault{
  height: 40px;
  padding: 5px;
  box-shadow: 2px 2px 4px $backgroundColor;
  border: none;
  outline: none;
}

.selectDefault select, select.selectDefault {
  box-shadow: 2px 2px 4px $backgroundColor;
  border: none;
  padding: 5px;
}

.btn-delete {
  color: red;
  border-radius: 1rem;
}